"E: impossibile trovare l'aggiornamento del pacchetto" quando tento di aggiornare il mio sistema, perché?

21

Ho quasi un'ora cercando di aggiornare la mia installazione, questo è il modo in cui sto provando a farlo:

$ sudo apt-get install update
[sudo] password for braiam: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package update

Semplicemente non funziona! Non è install update il testo che dovrei mettere dopo sudo apt-get a installa gli aggiornamenti sul mio sistema Ubuntu? In caso contrario, quale comando dovrei scrivere?

  

Questa domanda sta cercando di risolvere alcuni errori comuni degli utenti non abituati al sistema APT e apt-get .

    
posta Braiam 10.12.2013 - 02:31
fonte

1 risposta

28

Strumento APT apt-get ha comandi semplici che devi sapere prima di fare quello che fanno e in quali circostanze utilizzarlo.

Se ciò che desideri è aggiorna l'elenco dei pacchetti , il comando corretto è:

sudo apt-get update

proprio questo! Non è necessario scrivere nient'altro prima né dopo. È solo sudo + apt-get + aggiornamento . Fatto.

Per installare pacchetti o programmi nel tuo sistema, devi prima conoscere il nome del pacchetto . Se non si conosce il nome del pacchetto si consiglia di utilizzare una GUI (come Ubuntu Software Center o pacchetto), cercare e installare il programma che lo utilizza. Se conosci il nome del pacchetto, devi solo:

sudo apt-get install package_name

Sostituisci package_name il nome del tuo pacchetto. Puoi installare diversi pacchetti contemporaneamente, basta scriverli con uno spazio tra loro. Se stai ancora ricevendo:

  

E: impossibile trovare il pacchetto package_name

Quindi prova ad aggiornare il tuo elenco o a rivedere le istruzioni che stai seguendo, forse è solo un errore tipografico. Se il nome di quel pacchetto è sconosciuto per apt-get, questo è l'errore che otterrai.

Per l'aggiornamento dei pacchetti che hai già installato, ovvero aggiorna tutto il tuo sistema, devi fare:

sudo apt-get upgrade

Nient'altro. Aggiorna tutti i pacchetti che hai installato nel tuo sistema.

    
risposta data Braiam 10.12.2013 - 02:31
fonte

Leggi altre domande sui tag